\name{ggcorrplot}
\alias{ggcorrplot}
\title{ggcorrplot}
\usage{
ggcorrplot(df, var, value, color="#FFFFFF00", stat="signif", tri="all", method="pearson")
}
\arguments{
  \item{df}{A data frame in "long" format.}
  \item{var}{The column that will be used to analyze correlation all against all.}
  \item{value}{The column that will be used as numeric data to analyze correlation.}
  \item{color}{The color of the lines of geom_tile (the border). By default, its transparent.}
  \item{stat}{The stats that will be on the tiles. They can be "signif", "pval", "none". By default, it presents "signif" (stars representing pvalue).}
  \item{tri}{It specifies which half of the correlation matrix is shown. Can be "all" (the default), "upper" or "lower".}
  \item{method}{Method for correlation. It will be passed to "cor" and "rcorr" functions, "pearson" by default.}
}
\description{
Generates a correlation matrix using ggplot for a dataframe.
}
\examples{
library(tidyverse)

df<-data.frame("pats"=paste0("PAT", 1:20), "CytA"=rnorm(20,5), "CytB"=rnorm(20,5),
"CytC"=c(rnorm(5,10),rnorm(5,5),rnorm(5,10),rnorm(5,5)),"CytD"=rnorm(20,5),
"CytE"=c(rnorm(5,10),rnorm(5,5),rnorm(5,10),rnorm(5,5)),"CytF"=rnorm(20,5),
"CytG"=c(rnorm(5,10),rnorm(5,5),rnorm(5,10),rnorm(5,5)))
df<-gather(df, Cyt, Value,-pats)
head(df)

ggcorrplot(df, Cyt, Value)
}
